
#ifndef SPLINE_H
#define SPLINE_H

struct SplinePoint {
	float x, y, z;
};


class Spline {
public:
	Spline() {};
	float Berstein(int n, int i, float t);
	void Init_Pascal(int nControls);
	void Bezier(int nControls, SplinePoint *ccurve, double t, SplinePoint &p);
};

#endif

